DECLARE @ConferenceRoomTypeNumber int

SELECT @ConferenceRoomTypeNumber = ConferenceRoomTypeNumber FROM CONFERENCEROOMTYPES WHERE TYPE = ''

UPDATE RESERVATIONCONFERENCELINE 
SET BookedConferenceRoomTypeNumber = NULL
WHERE BookedConferenceRoomTypeNumber = @ConferenceRoomTypeNumber

UPDATE ConferenceRooms
SET ConferenceRoomTypeNumber = NULL
WHERE ConferenceRoomTypeNumber = @ConferenceRoomTypeNumber

DELETE FROM CONFERENCEROOMTYPES
WHERE TYPE = '' AND TEXT = '' AND HOTELNUMBER IS NULL
